[PATCH] Restore QuitMessage in QW

Prefer to use QuitMessage rather than the attribution box in QW, to
bring it into line with NQ.

diff -urN a/QW/client/menu.c head/QW/client/menu.c
--- a/QW/client/menu.c	2006-02-19 11:22:47.000000000 +1030
+++ head/QW/client/menu.c	2006-03-12 05:55:09.000000000 +1030
@@ -857,7 +857,6 @@
 static int m_quit_prevstate;
 static qboolean wasInMenus;
 
-#ifdef USE_QUITMESSAGE
 static char *quitMessage[] = {
     "  Are you gonna quit    ",
     "  this game just like   ",
@@ -899,7 +898,7 @@
     "   for you next time!   ",
     "                        "
 };
-#endif
+
 
 void
 M_Menu_Quit_f(void)
@@ -1008,70 +1007,24 @@
 	m_state = m_main;
 }
 
-// FIXME - use method from TyrLite?
-#define VSTR(x) #x
-#define VSTR2(x) VSTR(x)
-
 static void
 M_Quit_Draw(void)
 {
-    const char *const cmsg[] = {
-//    0123456789012345678901234567890123456789
-	"0            QuakeWorld",
-	"1    version " VSTR2(VERSION) " by id Software",
-	"0Programming",
-	"1 John Carmack    Michael Abrash",
-	"1 John Cash       Christian Antkow",
-	"0Additional Programming",
-	"1 Dave 'Zoid' Kirsch",
-	"1 Jack 'morbid' Mathews",
-	"0Id Software is not responsible for",
-	"0providing technical support for",
-	"0QUAKEWORLD(tm). (c)1996 Id Software,",
-	"0Inc.  All Rights Reserved.",
-	"0QUAKEWORLD(tm) is a trademark of Id",
-	"0Software, Inc.",
-	"1NOTICE: THE COPYRIGHT AND TRADEMARK",
-	"1NOTICES APPEARING  IN YOUR COPY OF",
-	"1QUAKE(r) ARE NOT MODIFIED BY THE USE",
-	"1OF QUAKEWORLD(tm) AND REMAIN IN FULL",
-	"1FORCE.",
-	"0NIN(r) is a registered trademark",
-	"0licensed to Nothing Interactive, Inc.",
-	"0All rights reserved. Press y to exit",
-	NULL
-    };
-
-    // FIXME - wierd type?
-    const char *const *p;
-    int y;
-
     if (wasInMenus) {
 	m_state = m_quit_prevstate;
 	m_recursiveDraw = true;
 	M_Draw();
 	m_state = m_quit;
     }
-#ifndef USE_QUITMESSAGE
-    M_DrawTextBox(0, 0, 38, 23);
-    y = 12;
-    for (p = cmsg; *p; p++, y += 8) {
-	if (**p == '0')
-	    M_PrintWhite(16, y, *p + 1);
-	else
-	    M_Print(16, y, *p + 1);
-    }
-#else
+
     M_DrawTextBox(56, 76, 24, 4);
     M_Print(64, 84, quitMessage[msgNumber * 4 + 0]);
     M_Print(64, 92, quitMessage[msgNumber * 4 + 1]);
     M_Print(64, 100, quitMessage[msgNumber * 4 + 2]);
     M_Print(64, 108, quitMessage[msgNumber * 4 + 3]);
-#endif
 }
 
 
-
 //=============================================================================
 /* Menu Subsystem */
 
